WWP Engine Docs
API ReferenceWhatsApp

Get Conversation Messages

POST
/whatsapp/getConversationMessages

Authorization

ApiKeyAuth
x-api-key<token>

API key from /account/api-keys. Free tier: 100 req/hr. Pro tier: 1000 req/hr.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://gmp.ffstudios.io/api/rpc/api-reference/whatsapp/getConversationMessages" \  -H "Content-Type: application/json" \  -d '{    "clientId": "string",    "jid": "string"  }'
{
  "messages": [
    {
      "id": "string",
      "clientId": "string",
      "jid": "string",
      "fromMe": true,
      "timestamp": 0,
      "type": "string",
      "text": "string",
      "status": null,
      "receipt": null,
      "pushName": "string",
      "displayName": "string",
      "cursor": "string"
    }
  ],
  "nextCursor": "string"
}